Autom

Google Locations

GET
/v1/finder/google-locations

Find supported Google locations and retrieve location IDs and country codes (free endpoint).

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Search locations supported by Piloterr (cities, countries, etc.) by providing a query string. Returns matching locations ordered by reach.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/finder/google-locations?query=string"
[  {    "id": "585069b8ee19ad271e9ba949",    "gps": [      -97.7430608,      30.267153    ],    "name": "Austin",    "reach": 6440000,    "google_id": 1026201,    "target_type": "City",    "country_code": "US",    "canonical_name": "Austin,Texas,United States"  }]
{  "error": "Bad Request"}
{  "error": "Invalid API Key"}
{  "error": "Payment required"}
{  "error": "Rate limit exceeded for the API key: quota monthly"}
{  "error": "Internal Error"}